Loading...
Searching...
No Matches
virtualrefinement.cc File Reference

This file contains the virtual wrapper around refinement. More...

`#include <cassert>`
`#include <typeinfo>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/iteratorfacades.hh>`
`#include "type.hh"`
`#include "refinement.hh"`

Go to the source code of this file.

## Classes

class | Dune::VirtualRefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >
class | Dune::VirtualRefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >
class | Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >
class | Dune::VirtualRefinementSubEntityIteratorBackSpecial< dimension, CoordType, dimension >
class | Dune::VirtualRefinementSubEntityIteratorBackSpecial< dimension, CoordType, 0 >
class | Dune::VirtualRefinement< dimension, CoordType >::SubEntityIteratorBack< dimension, CoordType >
class | Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >
class | Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, dimension >
class | Dune::VirtualRefinementImpSubEntityIteratorBackSpecial< topologyId, CoordType, coerceToId, dimension, 0 >
class | Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::SubEntityIteratorBack< codimension >
class | Dune::RefinementBuilder< dimension, CoordType >
class | Dune::RefinementBuilder< 1, CoordType >
class | Dune::RefinementBuilder< 3, CoordType >

## Namespaces

namespace | Dune

## Macros

#define | DUNE_GEOMETRY_VIRTUALREFINEMENT_CC

## Functions

template<int dimension, class CoordType>
VirtualRefinement< dimension, CoordType > & | Dune::buildRefinement (GeometryType geometryType, GeometryType coerceTo)
| return a reference to the VirtualRefinement according to the parameters

## Detailed Description

This file contains the virtual wrapper around refinement.

## Macro Definition Documentation

## DUNE_GEOMETRY_VIRTUALREFINEMENT_CC

#define DUNE_GEOMETRY_VIRTUALREFINEMENT_CC